/* 
 * Copyright 2009-2010 junithelper.org. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language 
 * governing permissions and limitations under the License. 
 */
package org.junithelper.mavenplugin;

import org.apache.maven.plugin.MojoExecutionException;
import org.junithelper.command.MakeTestCommand;

/**
 * @goal make
 * @phase process-sources
 */
public class MakeMojo extends AbstractJUnitHelperMojo {

	@Override
	public void execute() throws MojoExecutionException {
		printLogoAndVersion();
		String target = System.getProperty("target");
		try {
			MakeTestCommand.config = loadConfig();
			MakeTestCommand.main(new String[] { target });
		} catch (Exception e) {
			throw new MojoExecutionException("junithelper make error!", e);
		}
	}

}
